# std::vector<T,Allocator>::begin, std::vector<T,Allocator>::cbegin

From cppreference.com
< cpp‎ | container‎ | vector

iterator begin(); |  | (until C++11)
iterator begin() noexcept; |  | (since C++11)
const_iterator begin() const; |  | (until C++11)
const_iterator begin() const noexcept; |  | (since C++11)
const_iterator cbegin() const noexcept; |  | (since C++11)

Returns an iterator to the first element of the container.

If the container is empty, the returned iterator will be equal to end().

### Parameters

(none)

### Return value

Iterator to the first element

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <vector>
    #include <string>

    int main()
    {
    	std::vector<int> ints {1, 2, 4, 8, 16};
    	std::vector<std::string> fruits {"orange", "apple", "raspberry"};
    	std::vector<char> empty;

    	// Sums all integers in the vector ints (if any), printing only the result.
    	int sum = 0;
    	for (auto it = ints.cbegin(); it != ints.cend(); it++)
    		sum += *it;
    	std::cout << "Sum of ints: " << sum << "\n";

    	// Prints the first fruit in the vector fruits, without checking if there is one.
    	std::cout << "First fruit: " << *fruits.begin() << "\n";

    	if (empty.begin() == empty.end())
    		std::cout << "vector 'empty' is indeed empty.\n";
    }

Output:

    Sum of ints: 31
    First fruit: orange
    vector 'empty' is indeed empty.

### See also

end cend | returns an iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/vector/begin&oldid=98591"